commit 62d800ec02eb826c990455a5249b1cda2696fc7f
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Aug 19 02:26:40 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 66d5708a20f..2ae58562120 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,17 @@
+2025-08-18  Richard Sandiford  <richard.sandiford@arm.com>
+
+	PR target/121118
+	* config/aarch64/aarch64.cc (aarch64_sve_move_pred_via_while):
+	Return a VNx16BI predicate.
+
+2025-08-18  Richard Sandiford  <richard.sandiford@arm.com>
+
+	Backported from master:
+	2025-08-12  Richard Sandiford  <richard.sandiford@arm.com>
+
+	PR rtl-optimization/121253
+	* fwprop.cc (forward_propagate_into): Don't propagate asm defs.
+
 2025-08-15  Alex Coplan  <alex.coplan@arm.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 31dab433247..cfd590519fb 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250818
+20250819
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index b5077a55012..70fc79d66e1 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,16 @@
+2025-08-18  Richard Sandiford  <richard.sandiford@arm.com>
+
+	PR target/121118
+	* gcc.target/aarch64/sve/acle/general/pr121118_1.c: New test.
+
+2025-08-18  Richard Sandiford  <richard.sandiford@arm.com>
+
+	Backported from master:
+	2025-08-12  Richard Sandiford  <richard.sandiford@arm.com>
+
+	PR rtl-optimization/121253
+	* gcc.target/aarch64/pr121253.c: New test.
+
 2025-08-15  Alex Coplan  <alex.coplan@arm.com>
 
 	Backported from master:
diff --git a/libgcc/ChangeLog b/libgcc/ChangeLog
index 7055fb9e9b3..ae527692ae3 100644
--- a/libgcc/ChangeLog
+++ b/libgcc/ChangeLog
@@ -1,3 +1,14 @@
+2025-08-18  Christophe Lyon  <christophe.lyon@linaro.org>
+
+	Backported from master:
+	2025-08-08  Christophe Lyon  <christophe.lyon@linaro.org>
+
+	PR libgcc/117600
+	* Makefile.in (WERROR): New.
+	* config/aarch64/t-aarch64: Handle WERROR.
+	* configure: Regenerate.
+	* configure.ac: Add support for --enable-werror.
+
 2025-08-13  Richard Sandiford  <richard.sandiford@arm.com>
 
 	Backported from master:

